# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Borderlands 2 Template

game: Borderlands 2
requires:
  version: 0.6.7 # Version of Archipelago required for this yaml to work as expected.

Borderlands 2:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  goal:
    # The victory condition for your run. Please specify a valid location which can be found in archi_defs or archi_data.
    'Enemy: W4R-D3N': 50

  delete_starting_gear:
    # Deletes your character's gear on first connection, avoids granting checks immediately for Skyrocket, Gearbox guns, etc.
    # (Please be careful to back up your saves and load the correct character)
    keep: 50
    delete: 0

  gear_rarity_item_pool:
    # Gear kinds will be added to the item pool as receivable items.
    # disabled = Exclude from Item Pool, ability to equip things is always unlocked.
    # exclude_seraph_plus = Seraph, Pearlescent, and Effervescent are excluded
    # exclude_pearl_plus = Pearlescent and Effervescent are excluded
    # exclude_rainbow = Effervescent is excluded
    disabled: 0
    exclude_seraph_plus: 50
    exclude_pearl_plus: 0
    exclude_rainbow: 0
    all: 0

  receive_gear:
    # When receiving gear (licenses) from the item pool, does it spawn for you or do you only get the ability to equip the ones you find.
    # This option does nothing if gear_rarity_item_pool is disabled
    # equip_only = Added to item pool, do not spawn gear
    # receive = Added to item pool, spawn all gear
    equip_only: 0
    receive: 50

  filler_gear:
    # What kind of filler gear should be added to the item pool?
    # none = No filler gear will be added
    # unique = Unique items (Legendaries, Seraphs, etc. but as filler)
    # rarity_groups = Common, Uncommon, etc. as filler
    # both = Both unique and non-unique gear
    none: 0
    unique: 50
    rarity_groups: 0
    both: 0

  vault_symbols:
    # Vault Symbols as location checks
    none: 0
    all: 50

  vending_machines:
    # Vending Machines as location checks
    none: 0
    all: 50

  entrance_locks:
    # Moving to another map area (regular or fast travel) is disabled until the associated item is found
    # Turning this option off has strange implications. You will basically be expected to goal in sphere one, since nothing would be "out of logic" for you.
    # all = You are required to unlock travel items in order to travel to other map areas
    # no_locks = Travel Items are not included in the multiworld.
    no_locks: 0
    all: 50

  jump_checks:
    # How many jump checks should be added to the pool. You will not start with the ability to jump unless you add "Progressive Jump" to your start_inventory_from_pool
    not_disabled: 0
    '1': 0
    '2': 0
    '3': 50
    '4': 0
    '5': 0

  max_jump_height:
    # Each jump check will give you an equivalent fraction of your max jump height.
    # If Jump Checks is set to "not disabled" you will simply jump this high.
    # high = 1.5x
    # extra high = 2x
    regular: 50
    high: 0
    extra_high: 0

  sprint_checks:
    # How many sprint checks should be added to the pool. You will not start with the ability to sprint unless you add "Progressive Sprint" to your start_inventory_from_pool
    not_disabled: 0
    '1': 0
    '2': 0
    '3': 50
    '4': 0
    '5': 0

  max_sprint_speed:
    # Each sprint check will give you an equivalent fraction of your max sprint speed.
    # If Sprint Checks is set to "not disabled" you will simply sprint this fast.
    # fast = 1.5x
    # extra fast = 2x
    regular: 50
    fast: 0
    extra_fast: 0
    supersonic: 0

  spawn_traps:
    # Add Spawn Traps to the item pool. Digistruct Peak DLC is required for these to work.
    none: 0
    all: 50

  quest_completion_checks:
    # Quests completions count as location checks
    none: 0
    all: 50

  quest_reward_items:
    # Quest rewards are not given at time of quest completion and are instead added to the item pool
    # none = turn this option off
    # all = include all quest rewards in the item pool
    # only_gear = include quest rewards in the item pool but remove rewards that do not include gear (ex. Best Minion Ever only grants money)
    # only_included_regions = include quest rewards in the item pool but remove quests associated with excluded regions (dlc that has been turned off)
    # only_included_regions_gear = combination of only_included_regions and only_gear
    none: 0
    all: 0
    only_gear: 0
    only_included_regions: 0
    only_included_regions_gear: 50

  generic_mob_checks:
    # Adds a few checks into the location pool for farming generic mobs. Select a drop chance (default 5%)
    disabled: 0
    1_percent: 0
    2_percent: 0
    3_percent: 0
    4_percent: 0
    5_percent: 50
    6_percent: 0
    7_percent: 0
    8_percent: 0
    9_percent: 0
    10_percent: 0

  gear_rarity_checks:
    # Adds checks into the location pool for the first time you pick up gear of each type + rarity combination
    # exclude_seraph_plus = Seraph, Pearlescent, and Effervescent are excluded
    # exclude_pearl_plus = Pearlescent and Effervescent are excluded
    # exclude_rainbow = Effervescent is excluded
    disabled: 0
    exclude_seraph_plus: 50
    exclude_pearl_plus: 0
    exclude_rainbow: 0
    all: 0

  challenge_checks:
    # Adds checks into the location pool for completing BAR challenges
    # none = No challenge checks in the location pool
    # level_1 = Completing level 1 of all challenge checks included in the location pool
    none: 0
    level_1: 50

  chest_checks:
    # Adds checks for opening most Red Chests
    none: 0
    all: 50

  remove_ffs_checks:
    # Removes checks and quest rewards associated with Fight for Sanctuary DLC
    keep: 50
    remove: 0

  remove_tina_checks:
    # Removes checks and quest rewards associated with Tiny Tina's Assault on Dragon Keep DLC
    keep: 50
    remove: 0

  remove_torgue_checks:
    # Removes checks associated with Mr. Torgue's Campaign of Carnage DLC
    keep: 50
    remove: 0

  remove_scarlett_checks:
    # Removes checks associated with Sir Hammerlock's Big Game Hunt (Oasis) DLC
    keep: 50
    remove: 0

  remove_hammerlock_checks:
    # Removes checks associated with Sir Hammerlock's Big Game Hunt (Hunter's Grotto) DLC
    keep: 50
    remove: 0

  remove_digi_peak_checks:
    # Removes checks associated with Digistruct Peak DLC
    keep: 50
    remove: 0

  remove_headhunter_checks:
    # Removes checks associated with Hallowed Hollow, Gluttony Gulch, Marcus's Mercenary Shop, Rotgut Distillery and Wam Bam Island
    keep: 50
    remove: 0

  remove_base_game_checks:
    # Removes checks associated with regions in the base game
    keep: 50
    remove: 0

  remove_specific_region_checks:
    # Select specific regions to remove from the randomization. Find region names in Regions.py
    # ex. remove_specific_region_checks: ["FinksSlaughterhouse", "TerramorphousPeak"]
    []

  remove_coop_checks:
    # Removes checks that are impossible or difficult to do while playing solo
    # keep = don't remove any checks
    # remove_impossible = only remove impossible checks
    # remove_all = remove difficult and impossible checks
    keep: 0
    remove_impossible: 0
    remove_all: 50

  remove_raidboss_checks:
    # Removes checks associated with raid bosses
    keep: 50
    remove: 0

  max_level_checks:
    # Removes checks associated with higher levels, like enemies and areas beyond your intended end point.
    # Don't select an arbitrary number, options are listed below.
    # none = don't remove any checks based on this rule
    # level_14 = good for ending around bloodshot ramparts
    # level_20 = good for ending around thousand cuts or level 15 dlcs and headhunters
    # level_30 = removes checks beyond warrior
    none: 50
    level_14: 0
    level_20: 0
    level_30: 0

  death_link:
    'false': 50
    'true': 0

  death_link_punishment:
    # If DeathLink is off, this option does nothing.
    # damage = take near-fatal damage when a DeathLink is received.
    # ffyl = instantly enter "fight for your life" mode when a DeathLink is received.
    # death = instantly die when a DeathLink is received.
    damage: 0
    ffyl: 50
    death: 0

  death_link_send_mode:
    # If DeathLink is off, this option does nothing.
    # death = Send a DeathLink when you die
    # ffyl = Send a DeathLink whenever you fall into "fight for your life" mode
    # save_quit = Send a DeathLink whenever you save quit
    # save_quit_and_death = Send a DeathLink on save quit and on death
    # save_quit_and_ffyl = Send a DeathLink on save quit and when falling into ffyl
    death: 50
    ffyl: 0
    save_quit: 0
    save_quit_and_death: 0
    save_quit_and_ffyl: 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_inventory_from_pool:
    # Start with the specified amount of these items and don't place them in the world. Example: "Bomb: 1"
    # 
    # The game decides what the replacement items will be.
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
